DataTables/Dist-DataTables-Buttons-jQueryUI possible dependency error

DataTables/Dist-DataTables-Buttons-jQueryUI possible dependency error

zomarzomar Posts: 1Questions: 1Answers: 0

Hello,
I'm testing Datatables with symfony weback encore and yarn package manager.

I'm trying compile DataTables/Dist-DataTables-Buttons-jQueryUI
and get

"./node_modules/datatables.net-buttons-jqui/js/buttons.jqueryui.mjs" contains a reference to the file "datatables.net-ju".

https://github.com/DataTables/Dist-DataTables-Scroller-jQueryUI/blob/master/js/scroller.jqueryui.mjs

/*! jQuery UI styling wrapper for Scroller
* © SpryMedia Ltd - datatables.net/license
*/

import $ from 'jquery';
import DataTable from 'datatables.net-ju';
import DataTable from 'datatables.net-scroller';

There is no "datatables.net-ju" package in yarn repository but "datatables.net-jqui" exists :smile:

Is it a bug or I missed something?

I found that old forum thread:
https://datatables.net/forums/discussion/68054

BR
zomar

This question has an accepted answers - jump to answer

Answers

  • allanallan Posts: 57,703Questions: 1Answers: 9,195 Site admin
    Answer ✓

    Nope - you aren't missing anything. That is 100% my mistake - apologies!

    I've committed the fix to my build scripts and the nightly versions will be up to date soon. I'll tag up a release in the next few days to address this.

    Allan

Sign In or Register to comment.